%macro createdd(LIBREF=HCMDATA);

/* set the locale macro variables */
%setlocs;

/* define the label macros for the build programs to use */
%readlbls(basedir=&propspth,basefile=&lblprops,baseext=properties,slash=&slash,defaultpath=);

options metarepository="&HRRepos";
%LibConOp(sesetl_sasLibRef=&LIBREF,
         sesetl_ChkDepRepos=Y
         ) ;
run;
PROC SQL;

connect to &sesetl_EngineType as PASSTHRU (&sesetl_BestLogin &sesetl_ConnectionOptions );

execute (
Drop Table IF EXISTS SAS_HCMMETATABLE
) by PASSTHRU;

execute(
         CREATE TABLE SAS_HCMMETATABLE (
          ID INTEGER,
          HCM_TABLE_NAME VARCHAR(32),
          DESCRIPTION VARCHAR(100),
          ISMASTER bool NOT NULL,
          ISHISTORY bool NOT NULL,
          ISHIDDEN bool NOT NULL,
          USEFMT bool NOT NULL,
          BLDORDER INTEGER,
          CONSTRAINT SAS_HCMMETATABLE_PK PRIMARY KEY  (id)
                  ) TYPE=InnoDB
          ) by PASSTHRU;

execute(INSERT INTO SAS_HCMMETATABLE VALUES (1,'ABSHIST',"%getlabel(ABSHIST,Absence History Detail Table)",0,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (2,'ABSHMAST',"%getlabel(ABSHMAST,Absence History Master Table)",1,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (3,'ACTHIST',"%getlabel(ACTHIST,Job Action History Detail Table)",0,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (4,'ACTHMAST',"%getlabel(ACTHMAST,Job Action History Master Table)",1,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (5,'APPHIST',"%getlabel(APPHIST,Applicant History Detail Table)",0,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (6,'APPHMAST',"%getlabel(APPHMAST,Applicant History Master Table)",0,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (7,'CGRADE',"%getlabel(CGRADE,Current Grades Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (8,'CJOBS',"%getlabel(CJOBS,Current Jobs Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (9,'COMPHIST',"%getlabel(COMPHIST,Compensation History Detail Table)",0,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (10,'EMPGEN',"%getlabel(EMPGEN,Employee General Detail Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (11,'EMPMAST',"%getlabel(EMPMAST,Employee Master Table)",1,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (12,'GRADE',"%getlabel(GRADE,Grades Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (13,'HEADSUM',"%getlabel(HEADSUM,Headcount Summary Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (14,'JOBS',"%getlabel(JOBS,Jobs Detail Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (15,'OPENPOS',"%getlabel(OPENPOS,Open Positions Detail Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (16,'OPOSMAST',"%getlabel(OPOSMAST,Open Positions Master Table)",0,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (17,'POS',"%getlabel(POS,Positions Detail Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (18,'SALHIST',"%getlabel(SALHIST,Salary History Table)",1,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (19,'SALHSUM',"%getlabel(SALHSUM,Salary History Summary Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (20,'TERMMAST',"%getlabel(TERMMAST,Employee Termination Master Table)",1,1,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (21,'WRKGRP',"%getlabel(WRKGRP,Work Group Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (22,'CWRKGRP',"%getlabel(CWRKGRP,Current Work Group Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (23,'OPOSSUM',"%getlabel(OPOSSUM,Open Positions Summary Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (24,'TIP',"%getlabel(TIP,Time In Position Table)",0,0,0,1,1))by PASSTHRU;
execute(INSERT INTO SAS_HCMMETATABLE VALUES (25,'CHURN',"%getlabel(CHURN,Internal Movement Table)",0,0,0,1,1))by PASSTHRU;

execute (
Drop Table IF EXISTS SAS_HCMMETACOLUMN
) by PASSTHRU;

  execute(
         CREATE TABLE SAS_HCMMETACOLUMN (
            ID INTEGER,
            TABLEID INTEGER,
            HCM_COLUMN_NAME VARCHAR(32),
            COLUMN_LABEL VARCHAR(200),
            DESCRIPTION VARCHAR(100),
            DATA_TYPE VARCHAR(10),
            FORMAT VARCHAR(32),
            DISPLAYORDER INTEGER,
            ISHIDDEN bool NOT NULL,
            USEFMT bool NOT NULL,
            ISANALYSIS bool NOT NULL,
            STAT_COUNT bool NOT NULL,
            STAT_MIN bool NOT NULL,
            STAT_MAX bool NOT NULL,
            STAT_SUM bool NOT NULL,
            NMISS bool NOT NULL,
            USS bool NOT NULL,
            STAT_AVG bool NOT NULL,
            STAT_RANGE bool NOT NULL,
            CSS bool NOT NULL,
            VAR bool NOT NULL,
            STD bool NOT NULL,
            STDERR bool NOT NULL,
            CV bool NOT NULL,
            T bool NOT NULL,
            PRT bool NOT NULL,
            LCLM bool NOT NULL,
            UCLM bool NOT NULL,
            CONSTRAINT SAS_HCMMETACOLUMN_PK PRIMARY KEY (ID)
                    ) TYPE=InnoDB
            ) by PASSTHRU;

 disconnect from PASSTHRU ;

 QUIT;

%updatedd(tablenm=ABSHIST);
%updatedd(tablenm=ABSHMAST);
%updatedd(tablenm=ACTHIST);
%updatedd(tablenm=ACTHMAST);
%updatedd(tablenm=APPHIST);
%updatedd(tablenm=APPHMAST);
%updatedd(tablenm=CGRADE);
%updatedd(tablenm=CJOBS);
%updatedd(tablenm=COMPHIST);
%updatedd(tablenm=EMPGEN);
%updatedd(tablenm=EMPMAST);
%updatedd(tablenm=GRADE);
%updatedd(tablenm=HEADSUM);
%updatedd(tablenm=JOBS);
%updatedd(tablenm=OPENPOS);
%updatedd(tablenm=OPOSMAST);
%updatedd(tablenm=POS);
%updatedd(tablenm=SALHIST);
%updatedd(tablenm=SALHSUM);
%updatedd(tablenm=TERMMAST);
%updatedd(tablenm=WRKGRP);
%updatedd(tablenm=CWRKGRP);
%updatedd(tablenm=OPOSSUM);
%updatedd(tablenm=TIP);
%updatedd(tablenm=CHURN);

PROC SQL;
connect to &sesetl_EngineType as PASSTHRU (&sesetl_BestLogin &sesetl_ConnectionOptions );
execute(update SAS_HCMMETACOLUMN set FORMAT='$ACTION.'     where HCM_COLUMN_NAME='ACTION_TYPE_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$ACTRSN.'     where HCM_COLUMN_NAME='EMPLOYEE_ACTION_REASON_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$APPST.'      where HCM_COLUMN_NAME='APPLICATION_STATUS_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$COMPTYP.'    where HCM_COLUMN_NAME='COMPENSATION_TYPE_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$COUNTRY.'    where HCM_COLUMN_NAME='APPLICANT_COUNTRY_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$COUNTRY.'    where HCM_COLUMN_NAME='COUNTRY_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$COUNTRY.'    where HCM_COLUMN_NAME='CITIZENSHIP_COUNTRY_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$EEOCL.'      where HCM_COLUMN_NAME='EEO_CLASS_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$EMPSTAT.'    where HCM_COLUMN_NAME='EMPLOYEE_STATUS_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$EMPTYPE.'    where HCM_COLUMN_NAME='EMPLOYEE_TYPE_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$ETHNIC.'     where HCM_COLUMN_NAME='ETHNICITY_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$ETHNIC.'     where HCM_COLUMN_NAME='APPLICANT_ETHNICITY_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$EVALRES.'    where HCM_COLUMN_NAME='EVALUATION_RESULT_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$EXEMPT.'     where HCM_COLUMN_NAME='EXEMPT_STATUS_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$FLSA.'       where HCM_COLUMN_NAME='FLSA_STATUS_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GENDER.'     where HCM_COLUMN_NAME='APPLICANT_GENDER_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GENDER.'     where HCM_COLUMN_NAME='GENDER_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRECTYP.'    where HCM_COLUMN_NAME='PAY_LEVEL_STRUCTURE_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$JOBGRP.'     where HCM_COLUMN_NAME='JOB_GROUP_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$LVCODE.'     where HCM_COLUMN_NAME='ABSENCE_TYPE_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$MONEY.'      where HCM_COLUMN_NAME='CURRENCY_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$MARITAL.'    where HCM_COLUMN_NAME='MARITAL_STATUS_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$PAYPER.'     where HCM_COLUMN_NAME='EMPLOYEE_PAID_FREQUENCY_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$PAYPER.'     where HCM_COLUMN_NAME='PAY_FREQUENCY_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$PAYPER.'     where HCM_COLUMN_NAME='PAY_GRADE_FREQUENCY_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$POSTY.'      where HCM_COLUMN_NAME='PERMANENCE_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$PSTAT.'      where HCM_COLUMN_NAME='POSITION_STATUS_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$REJRSN.'     where HCM_COLUMN_NAME='REJECTION_REASON_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$RECSRC.'     where HCM_COLUMN_NAME='RECRUITMENT_SOURCE_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$STATE.'      where HCM_COLUMN_NAME='STATE_REGION_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$STATE.'      where HCM_COLUMN_NAME='APPLICANT_STATE_REGION_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$UNION.'      where HCM_COLUMN_NAME='UNION_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$VETERAN.'    where HCM_COLUMN_NAME='MILITARY_EXPERIENCE_TYPE_CD') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='SERVICE_START_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='APPLICATION_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='ACTION_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='CANCELLATION_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='CLOSE_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='VALID_TO_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='VALID_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='VALID_FROM_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='PAYMENT_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='HIRE_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='ABSENCE_END_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='ABSENCE_START_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='BIRTH_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='APPLICANT_BIRTH_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='MILITARY_EXPERIENCE_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DATEFMT"     where HCM_COLUMN_NAME='OPEN_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='ANNUAL_SALARY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='MONTHLY_SALARY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='HOURLY_SALARY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='FTEQUIV') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='MINIMUM_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='MIDPOINT_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='MAXIMUM_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='AMT_OVER_MAXIMUM') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='AMT_UNDER_MINIMUM') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='COMPENSATION_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='OLD_EST') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='OLD_MNTH') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='OLD_SAL') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='TOTOTHER') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='TOTCOMP') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT="&DLLRFMT"     where HCM_COLUMN_NAME='CHGAMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRP11FM.'    where HCM_COLUMN_NAME='INTORG_HR1') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRP12FM.'    where HCM_COLUMN_NAME='INTORG_HR2') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRP13FM.'    where HCM_COLUMN_NAME='INTORG_HR3') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRP14FM.'    where HCM_COLUMN_NAME='INTORG_HR4') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRP15FM.'    where HCM_COLUMN_NAME='INTORG_HR5') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRP21FM.'    where HCM_COLUMN_NAME='INTORG_MGR1') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRP22FM.'    where HCM_COLUMN_NAME='INTORG_MGR2') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRP23FM.'    where HCM_COLUMN_NAME='INTORG_MGR3') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRP24FM.'    where HCM_COLUMN_NAME='INTORG_MGR4') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set FORMAT='$GRP25FM.'    where HCM_COLUMN_NAME='INTORG_MGR5') by PASSTHRU;

execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='ANNUAL_SALARY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='MONTHLY_SALARY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='HOURLY_SALARY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='DURATION_QTY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='ACTIONS') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='CNT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='SRVYRS') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='FTEQUIV') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='COMRATIO') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='MINIMUM_PCT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='MINIMUM_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='MAXIMUM_PCT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='MAXIMUM_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='PCT_OVER_MAXIMUM') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='PCT_UNDER_MINIMUM') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='AGE') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='HEADCNT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='FTECNT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='NHIRES') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='CHURN') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='TERMS') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='ITERM') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='VTERM') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='PAY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='REQUISITION_COST_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='TOTCOMP') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='TOTOTHER') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='CHGAMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='ANNUAL_SALARY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='TIP_DAYS') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='TIP_MONTHS') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='TIP_YEARS') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='OPDIF') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set ISANALYSIS='1'        where HCM_COLUMN_NAME='OPOSCNT') by PASSTHRU;

execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='VALID_TO_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='VALID_FROM_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='VALID_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='HIRE_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='BIRTH_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='SERVICE_START_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='ACTION_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='ABSENCE_START_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='ABSENCE_END_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='APPLICATION_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='APPLICANT_BIRTH_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='PAYMENT_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='CANCELLATION_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='OPEN_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='CLOSE_DT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='DATE'      where HCM_COLUMN_NAME='MILITARY_EXPERIENCE_DT') by PASSTHRU;

execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='ANNUAL_SALARY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='MONTHLY_SALARY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='HOURLY_SALARY') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='MAXIMUM_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='MIDPOINT_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='MINIMUM_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='AMT_OVER_MAXIMUM') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='AMT_UNDER_MINIMUM') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='COMPENSATION_AMT') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='FTEQUIV') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='OLD_EST') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='OLD_MNTH') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='OLD_SAL') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='TOTOTHER') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='TOTCOMP') by PASSTHRU;
execute(update SAS_HCMMETACOLUMN set DATA_TYPE='CURRENCY'  where HCM_COLUMN_NAME='CHGAMT') by PASSTHRU;

execute(update SAS_HCMMETACOLUMN set USEFMT=1  where FORMAT is not NULL) by PASSTHRU;

execute (
Drop Table IF EXISTS HCMFORMATS
) by PASSTHRU;

execute(
         CREATE TABLE HCMFORMATS (
          FMTNAME  VARCHAR(9),
          FMTSTART VARCHAR(40),
          FMTEND   VARCHAR(40),
          FMTVALUE VARCHAR(128)
                  ) TYPE=InnoDB
          ) by PASSTHRU;
disconnect from PASSTHRU ;

QUIT;

  %MEND;
